#ifdef GL_ES
precision mediump float;
#endif

uniform sampler2D Sampler;  // テクスチャユニット
uniform vec4 multiTerm;
uniform vec4 addTerm;
varying vec2 v2TexCoord;      // 頂点シェーダからテクスチャ座標を受け取る

void main() {
    vec4 col = texture2D(Sampler, v2TexCoord);
    col = vec4(col.r / col.a, col.g / col.a, col.b / col.a, col.a);
    gl_FragColor = col * multiTerm + addTerm;
}
