#ifdef GL_ES
precision mediump float;
#endif

uniform sampler2D Sampler;  // テクスチャユニット
uniform vec4 v4Viewport;
uniform vec4 v4Color;
varying vec2 v2TexCoord;      // 頂点シェーダからテクスチャ座標を受け取る

void main() {
    vec2 pos = (gl_FragCoord.xy - v4Viewport.xy) / v4Viewport.zw;
    vec4 col = texture2D(Sampler, v2TexCoord) * v4Color;
    gl_FragColor = col;
}
